/* Copyright 2016 tgil All Rights Reserved */


#ifndef EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_BLOG_H_
#define EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_BLOG_H_


#include <stdint.h>

int blog_init();

int blog_is_complete();

uint16_t blog_get_entries();
uint16_t blog_current_entry();

void blog_set_entry(uint16_t entry);
int blog_save();
void blog_clear();

int blog_get_size();
uint16_t blog_get(int entry);
//uint16_t blog_get_entries();




#endif /* EXAMPLES_BLE_PERIPHERAL_BLE_APP_UART_BLOG_H_ */
